This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 457777 - PHP lacks headers for the embedding library
PHP lacks headers for the embedding library
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: php (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-04 11:54 EDT by Erik van Pienbroek
Modified: 2009-05-29 22:38 EDT (History)
2 users (show)

See Also:
Fixed In Version: 1.2-13.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-29 22:34:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Erik van Pienbroek 2008-08-04 11:54:52 EDT
For one of my own projects, NNTPGrab (usenet download program), I was looking for a way to embed PHP into my project and according to http://www.cluesheet.com/lectures/phptek-embedding.pdf this should be possible by using a header called php_embed.h and by linking against a special library. Now I've seen there's a special php-embedded package in Fedora which contains this library, but the header php_embed.h is nowhere to be found.

After investigation I've found out that this header isn't installed by the php.spec file. This patch installs the header:

--- php.spec.orig	2008-08-04 13:37:55.197329721 +0200
+++ php.spec	2008-08-04 14:30:00.642331815 +0200
@@ -583,7 +583,7 @@
 make -C build-apache install-sapi INSTALL_ROOT=$RPM_BUILD_ROOT
 
 # Install the version for embedded script language in applications
-make -C build-embedded install-sapi INSTALL_ROOT=$RPM_BUILD_ROOT
+make -C build-embedded install-headers install-sapi INSTALL_ROOT=$RPM_BUILD_ROOT
 
 # Install the default configuration file and icons
 install -m 755 -d $RPM_BUILD_ROOT%{_sysconfdir}/

This change places the file php_embed.h in the same location as the other headers ($RPM_BUILD_ROOT/usr/include) and this file automatically becomes part of the php-devel subpackage.
Comment 1 Erik van Pienbroek 2008-10-27 08:32:50 EDT
ping?
The solution above is easy to apply and shouldn't cause any side affects
Comment 2 Bug Zapper 2008-11-25 21:39:03 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Erik van Pienbroek 2008-12-03 17:50:38 EST
Come on..does it really have to take 4 months to respond to a bugreport with a patch attached?
Comment 4 Remi Collet 2008-12-05 12:08:17 EST
Juste try :

make -C build-cgi install-headers INSTALL_ROOT=/tmp/hcgi
make -C build-embedded install-headers INSTALL_ROOT=/tmp/hemb
diff -ru /tmp/hcgi /tmp/hemb

You will notice that this is not a good solution...

Searching...
Comment 5 Erik van Pienbroek 2008-12-06 09:21:52 EST
Thanks for the response.
I see now that the headers of the cgi part differ from the embedded part..
However, the embed sapi just has one header file: /usr/include/php/sapi/embed/php_embed.h so it should be sufficient to just manually copy over this header file during the %install phase (leaving all the other headers intact)
Comment 6 Remi Collet 2008-12-13 03:52:07 EST
Solution implemented in rawhide (5.2.8-2)
Comment 7 Fedora Update System 2009-01-05 15:29:08 EST
maniadrive-1.2-11.fc10,php-5.2.8-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/maniadrive-1.2-11.fc10,php-5.2.8-1.fc10
Comment 8 Fedora Update System 2009-01-05 15:35:41 EST
php-5.2.8-1.fc9,maniadrive-1.2-11.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/php-5.2.8-1.fc9,maniadrive-1.2-11.fc9
Comment 9 Fedora Update System 2009-01-07 04:22:42 EST
php-5.2.8-1.fc9, maniadrive-1.2-11.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update php maniadrive'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-0130
Comment 10 Fedora Update System 2009-01-07 04:32:22 EST
maniadrive-1.2-11.fc10, php-5.2.8-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update maniadrive php'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-0208
Comment 11 Fedora Update System 2009-02-26 10:32:20 EST
maniadrive-1.2-12.fc9, php-5.2.8-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update maniadrive php'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-0130
Comment 12 Fedora Update System 2009-04-17 00:42:07 EDT
php-5.2.9-1.fc10,maniadrive-1.2-13.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/php-5.2.9-1.fc10,maniadrive-1.2-13.fc10
Comment 13 Fedora Update System 2009-04-17 00:48:11 EDT
php-5.2.9-1.fc9,maniadrive-1.2-13.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/php-5.2.9-1.fc9,maniadrive-1.2-13.fc9
Comment 14 Fedora Update System 2009-04-21 20:49:26 EDT
maniadrive-1.2-13.fc10, php-5.2.9-2.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update maniadrive php'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-3768
Comment 15 Fedora Update System 2009-04-21 21:04:46 EDT
maniadrive-1.2-13.fc9, php-5.2.9-2.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update maniadrive php'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-3848
Comment 16 Fedora Update System 2009-05-29 22:33:24 EDT
maniadrive-1.2-13.fc10, php-5.2.9-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2009-05-29 22:37:22 EDT
maniadrive-1.2-13.fc9, php-5.2.9-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.